/* An entity is any object that needs to animate, or be clickable, or that we
 * want to handle its own rendering. We can keep them all in a single list, and
 * render/iterate them in a loop
 */

#ifndef _ENTITY_H_
#define _ENTITY_H_

#include <SDL.h>

class Entity
{
 public:
    Entity();
    virtual ~Entity();

    virtual bool init() = 0;
    virtual void render(SDL_Surface* display) = 0;
    virtual void iterate() = 0;

 protected:
    
};

#endif
